%global pypi_name hbmqtt
# Tests require additional setup
%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.9.6
Release:        1%{?dist}
Summary:        MQTT client/broker

License:        MIT
URL:            https://github.com/beerfactory/hbmqtt
Source0:        %{pypi_source}
BuildArch:      noarch

%description
HBMQTT is an open source MQTT client and broker implementation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(docopt)
BuildRequires:  python3dist(passlib)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(transitions)
BuildRequires:  python3dist(websockets)
BuildRequires:  python3dist(pytest)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
HBMQTT is an open source MQTT client and broker implementation.

%package -n python-%{pypi_name}-doc
Summary:        Documentation for hbmqtt

BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description -n python-%{pypi_name}-doc
Documentation for hbmqtt.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build
PYTHONPATH=${PWD} sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%if %{with test}
%check
%pytest -v tests
%endif

%files -n python3-%{pypi_name}
%license license.txt
%doc readme.rst
%{_bindir}/hbmqtt
%{_bindir}/hbmqtt_pub
%{_bindir}/hbmqtt_sub
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/scripts
%exclude %{python3_sitelib}/tests
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%files -n python-%{pypi_name}-doc
%doc html
%license license.txt

%changelog
* Wed Oct 14 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.6-1
- Initial package for Fedora
